Get advanced balance by id
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
objectOptional
Request body for getting the advance balance
Responses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/advanced-balance
POST /api-gateway/advanced-balance HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 2
{}200Success
{
"success": true,
"response": {
"advancedBalanceId": "c50e0415-e51c-4caa-a4cf-e4c87ec00079",
"currency": "USD",
"blocked": true,
"blockReason": null,
"balance": "4711.33",
"availableCurrenciesForDeposit": [
"USDT"
],
"tariffs": [
{
"id": "ce267f72-f4ca-4f22-a626-427d9a831e2b",
"action": "EXCHANGE_AUTO",
"amount": "0.03",
"type": "PERCENT",
"minAmount": "0.1",
"maxAmount": "3000",
"invoiceAdditionalFee": true
}
]
}
}Last updated